Bug 2668 - [UPDATE REQUEST] pcituls, usbutils and related package
: [UPDATE REQUEST] pcituls, usbutils and related package
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 21:13 MSD by Aleksandr Kazantcev
Modified: 2013-09-16 18:50 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
update-hw-x86-65-Gnome.txt (115.04 KB, text/plain)
2013-09-12 01:54 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-09-09 21:13:09 MSD
Use united hwdata base
Comment 1 Aleksandr Kazantcev 2013-09-09 21:17:22 MSD
pciutils
https://abf.rosalinux.ru/build_lists/1246852
https://abf.rosalinux.ru/build_lists/1246853

usbutils
https://abf.rosalinux.ru/build_lists/1243060
https://abf.rosalinux.ru/build_lists/1243061

ldetect
https://abf.rosalinux.ru/build_lists/1246860
https://abf.rosalinux.ru/build_lists/1246861

ldetect-lst
https://abf.rosalinux.ru/build_lists/1243150
https://abf.rosalinux.ru/build_lists/1243151

Advisory: Previously hwdata base provided by ldetect-lst package with other depricated data and stored in /usr/share/root. Now we use more usefull way (used in Suse, Fedora and Ubuntu for example) with store hardware data in /etc/share/hwdata dir and we now possible update pci id date with update-pciids.

Usbutils also been set to use this path and updated to 007 version. ldetect-lst now not provide pci, usb and out.ids. ldetect rebuild with new libs.
Comment 2 Vladimir Potapov 2013-09-11 11:24:15 MSD
The update route to extended testing
Comment 3 Postnikov Dmitry 2013-09-12 01:49:58 MSD
Dno't update from containers in Gnome x86_64 and i586:

=====================
x86_64
---------------
[root@mindlife2 pastordi]# urpmi --auto-update
источник «hw1» уже обновлён
источник «hw2» уже обновлён
источник «hw3» уже обновлён
источник «hw4» уже обновлён
источник «hw5» уже обновлён
источник «main» уже обновлён
источник «main updates» уже обновлён
источник «Main32» уже обновлён
источник «Main32 Updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «Non-free32» уже обновлён
источник «Non-free32 Updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «Restricted32» уже обновлён
источник «Restricted32 Updates» уже обновлён
Пакеты acl-2.2.51-8-rosa2012.1.x86_64, lib64glib2.0_0-2.36.3-3-rosa2012.1.x86_64, lib64icuuc49-49.1.1-2-rosa2012.1.x86_64, python-gobject-2.28.6-3-rosa2012.1.x86_64, lib64netsnmp30-5.7.1-1-rosa2012.1.x86_64, python-dbus-0.84.0-3-rosa2012.1.x86_64, lib64pciaccess0-0.13.2-1-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, lib64db5.2-5.2.42-1-rosa2012.1.x86_64, lib64sane1-1.0.23-2-rosa2012.1.x86_64, lib64dbus-1_3-1.6.8-3-rosa2012.1.x86_64, lib64freetype6-2.4.12-1plf-plf2012.1.x86_64, lib64quadmath0-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64gcc1-4.7.3_2012.10-3.1-rosa2012.1.x86_64, wget-1.14-1-rosa2012.1.x86_64, lib64ltdl7-2.4.2-9-rosa2012.1.x86_64, python-imaging-1.1.7-8-rosa2012.1.x86_64, systemd-194-25-rosa2012.1.x86_64, lib64stdc++6-4.7.3_2012.10-3.1-rosa2012.1.x86_64, lib64cups2-1.5.4-2.1-rosa2012.1.x86_64, perl-base-5.14.2-8-rosa2012.1.x86_64, usermode-1.111-4-rosa2012.1.x86_64, lib64udev1-194-25-rosa2012.1.x86_64, python-sip-4.14.5-1-rosa2012.1.x86_64, lib64gfortran3-4.7.3_2012.10-3.1-rosa2012.1.x86_64, cups-1.5.4-2.1-rosa2012.1.x86_64, lib64rasqal3-0.9.29-1-rosa2012.1.x86_64, lib64kmod2-9-9-rosa2012.1.x86_64, ghostscript-9.05-4-rosa2012.1.x86_64, lib64jpeg8-1.2.1-1-rosa2012.1.x86_64, lib64graphite2_2-1.1.3-2-rosa2012.1.x86_64, polkit-gnome-0.105-2-rosa2012.1.x86_64, gzip-1.5-1-rosa2012.1.x86_64, net-snmp-mibs-5.7.1-1-rosa2012.1.x86_64, lib64raptor2_0-2.0.8-2-rosa2012.1.x86_64, python-reportlab-2.5-6-rosa2012.1.x86_64, x11-server-common-1.13.4-1-rosa2012.1.x86_64, python-qt4-gui-4.9.6-1-rosa2012.1.x86_64, lib64usb1.0_0-1.0.9-2-rosa2012.1.x86_64, foomatic-filters-4.0.17-1-rosa2012.1.x86_64, common-licenses-1.1-3-rosa2012.1.noarch, lib64gobject2.0_0-2.36.3-3-rosa2012.1.x86_64, lib64icudata49-49.1.1-2-rosa2012.1.x86_64, lib64z1-1.2.7-3-rosa2012.1.x86_64, python3-3.3.1-1-rosa2012.1.x86_64, usermode-consoleonly-1.111-4-rosa2012.1.x86_64 уже установлен
Некоторые запрошенные пакеты не могут быть установлены:
lib64ldetect0.12-0.12.6-4-rosa2012.1.x86_64 (из-за неудовлетворённости pciids)
pciutils-3.2.0-3-rosa2012.1.x86_64 (из-за неудовлетворённости ldetect-lst-0.1.315-1-rosa2012.1.noarch)
Продолжить установку? (Y/n) y
Следующие пакеты будут удалены для обновления остальных:
alsa-utils-1.0.26-1-rosa2012.1.x86_64
 (из-за отсутствия pciutils)
bootloader-utils-1.15-9-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools-backend >= 10-52)
drakguard-0.7.7-6-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools >= 10.22,
  из-за неудовлетворённости drakx-net >= 0.41)
drakx-finish-install-14.37-4-rosa2012.1.x86_64
 (из-за неудовлетворённости drakxtools == 14.37-4)
drakx-kbd-mouse-x11-0.99-4-rosa2012.1.x86_64
 (из-за неудовлетворённости drakxtools-curses >= 12.40)
drakx-net-1.1-4-rosa2012.1.noarch
 (из-за неудовлетворённости libdrakx-net == 1.1,
  из-за неудовлетворённости drakxtools >= 12.36,
  из-за неудовлетворённости drakx-net-text == 1.1)
drakx-net-text-1.1-4-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools-curses >= 12.36,
  из-за неудовлетворённости libdrakx-net == 1.1)
drakxtools-14.37-4-rosa2012.1.x86_64
 (из-за неудовлетворённости drakxtools-curses == 14.37-4)
drakxtools-backend-14.37-4-rosa2012.1.x86_64
 (из-за отсутствия libldetect.so.0.12()(64bit),
  из-за отсутствия perl(Xconfig::resolution_and_depth))
drakxtools-curses-14.37-4-rosa2012.1.x86_64
 (из-за неудовлетворённости drakxtools-backend == 14.37-4,
  из-за отсутствия perl(Xconfig::various))
gdm-3.8.1.1-1-rosa2012.1.x86_64
 (из-за отсутствия drakx-kbd-mouse-x11)
gnome-initial-setup-0.12-4-rosa2012.1.x86_64
 (из-за отсутствия gdm)
harddrake-14.37-4-rosa2012.1.x86_64
 (из-за неудовлетворённости drakxtools-curses == 14.37-4,
  из-за отсутствия drakx-kbd-mouse-x11,
  из-за отсутствия perl(Xconfig::various),
  из-за отсутствия perl(Xconfig::card))
harddrake-ui-14.37-4-rosa2012.1.x86_64
 (из-за отсутствия drakx-kbd-mouse-x11,
  из-за неудовлетворённости drakxtools == 14.37-4)
ipw3945-ucode-1.14.2-2-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools >= 10-34.2mdk)
ldetect-0.12.6-3-rosa2012.1.x86_64
 (из-за отсутствия libldetect.so.0.12()(64bit))
lib64ldetect0.12-0.12.6-3-rosa2012.1.x86_64
 (из-за отсутствия pciids)
libdrakx-net-1.1-4-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools-backend >= 12.36,
  из-за отсутствия perl(Xconfig::resolution_and_depth))
mdkonline-2.77.27-1-rosa2012.1.noarch
 (из-за неудовлетворённости libdrakx-net >= 0.29,
  из-за неудовлетворённости rpmdrake >= 5.11.1,
  из-за отсутствия perl(Rpmdrake::open_db))
memtest86+-4.20-3-rosa2012.1.x86_64
 (из-за отсутствия drakxtools-backend)
pciutils-3.2.0-1-rosa2012.1.x86_64
 (из-за отсутствия pciids)
rpmdrake-5.26.12-29-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools >= 12.64)
sound-scripts-0.62-5-rosa2012.1.noarch
 (из-за неудовлетворённости alsa-utils >= 1.0.25)
userdrake-1.13.2-9-rosa2012.1.x86_64
 (из-за отсутствия drakxtools) (y/N) n
[root@mindlife2 pastordi]#
=========================================================
i586
----------------------

[root@localhost maks]# urpmi --auto-update
источник «main» уже обновлён
источник «main updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «dev1» уже обновлён
источник «dev2» уже обновлён
источник «dev3» уже обновлён
источник «dev4» уже обновлён
источник «dev5» уже обновлён
Пакеты gzip-1.5-1-rosa2012.1.i586, libz1-1.2.7-3-rosa2012.1.i586, libusb1.0_0-1.0.9-2-rosa2012.1.i586, perl-base-5.14.2-8-rosa2012.1.i586, glibc-2.15-8-rosa2012.1.i586, python3-3.3.1-1-rosa2012.1.i586, common-licenses-1.1-3-rosa2012.1.noarch уже установлен
Некоторые запрошенные пакеты не могут быть установлены:
gdm-3.8.1.1-1-rosa2012.1.i586 (чтобы сохранить gdm-3.8.1.1-2-rosa2012.1.i586)
ldetect-0.12.6-4-rosa2012.1.i586 (из-за неудовлетворённости libldetect0.12-0.12.6-2-rosa2012.1.i586)
ldetect-lst-0.1.315-1-rosa2012.1.noarch (из-за конфликтов с ldetect-lst-0.1.318-2-rosa2012.1.noarch)
ldetect-lst-0.1.316-1-rosa2012.1.noarch (из-за конфликтов с ldetect-lst-0.1.318-2-rosa2012.1.noarch)
libldetect0.12-0.12.6-4-rosa2012.1.i586 (из-за неудовлетворённости pciids)
pciutils-3.2.0-3-rosa2012.1.i586 (из-за неудовлетворённости pciids)
Продолжить установку? (Y/n) y
Следующие пакеты будут удалены для обновления остальных:
alsa-utils-1.0.26-1-rosa2012.1.i586
 (из-за отсутствия pciutils)
bootloader-utils-1.15-9-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools-backend >= 10-52)
drakguard-0.7.7-6-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools >= 10.22,
  из-за неудовлетворённости drakx-net >= 0.41)
drakx-finish-install-14.37-4-rosa2012.1.i586
 (из-за неудовлетворённости drakxtools == 14.37-4)
drakx-kbd-mouse-x11-0.99-4-rosa2012.1.i586
 (из-за неудовлетворённости drakxtools-curses >= 12.40)
drakx-net-1.1-4-rosa2012.1.noarch
 (из-за неудовлетворённости libdrakx-net == 1.1,
  из-за неудовлетворённости drakxtools >= 12.36,
  из-за неудовлетворённости drakx-net-text == 1.1)
drakx-net-text-1.1-4-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools-curses >= 12.36,
  из-за неудовлетворённости libdrakx-net == 1.1)
drakxtools-14.37-4-rosa2012.1.i586
 (из-за неудовлетворённости drakxtools-curses == 14.37-4)
drakxtools-backend-14.37-4-rosa2012.1.i586
 (из-за отсутствия libldetect.so.0.12,
  из-за отсутствия perl(Xconfig::resolution_and_depth))
drakxtools-curses-14.37-4-rosa2012.1.i586
 (из-за неудовлетворённости drakxtools-backend == 14.37-4,
  из-за отсутствия perl(Xconfig::various))
gdm-3.8.1.1-2-rosa2012.1.i586
 (из-за отсутствия drakx-kbd-mouse-x11)
harddrake-14.37-4-rosa2012.1.i586
 (из-за неудовлетворённости drakxtools-curses == 14.37-4,
  из-за отсутствия drakx-kbd-mouse-x11,
  из-за отсутствия perl(Xconfig::various),
  из-за отсутствия perl(Xconfig::card))
harddrake-ui-14.37-4-rosa2012.1.i586
 (из-за неудовлетворённости drakxtools == 14.37-4,
  из-за отсутствия drakx-kbd-mouse-x11)
ipw3945-ucode-1.14.2-2-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools >= 10-34.2mdk)
ldetect-0.12.6-3-rosa2012.1.i586
 (из-за отсутствия libldetect.so.0.12)
libdrakx-net-1.1-4-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools-backend >= 12.36,
  из-за отсутствия perl(Xconfig::resolution_and_depth))
libldetect0.12-0.12.6-3-rosa2012.1.i586
 (из-за отсутствия pciids)
mdkonline-2.77.27-1-rosa2012.1.noarch
 (из-за неудовлетворённости libdrakx-net >= 0.29,
  из-за неудовлетворённости rpmdrake >= 5.11.1,
  из-за отсутствия perl(Rpmdrake::open_db))
memtest86+-4.20-3-rosa2012.1.i586
 (из-за отсутствия drakxtools-backend)
pciutils-3.2.0-1-rosa2012.1.i586
 (из-за отсутствия pciids)
rpmdrake-5.26.12-29-rosa2012.1.noarch
 (из-за неудовлетворённости drakxtools >= 12.64)
sound-scripts-0.62-5-rosa2012.1.noarch
 (из-за неудовлетворённости alsa-utils >= 1.0.25)
userdrake-1.13.2-9-rosa2012.1.i586
 (из-за отсутствия drakxtools) (y/N) y
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа
(источник «dev1»)
 hwdata                         0.254        1             rosa  2012.1 noarch
(источник «dev2»)
 libpci3                        3.2.0        3             rosa  2012.1 i586
(источник «dev3»)
 usbutils                       007          1             rosa  2012.1 i586
(источник «dev5»)
 ldetect-lst                    0.1.318      2             rosa  2012.1 noarch
Будет освобождено 28МБ дискового пространства.
Будет загружено 1.2МБ пакетов.
Установить 4 пакетов? (Y/n) y
 
 
устанавливается hwdata-0.254-1-rosa2012.1.noarch.rpm libpci3-3.2.0-3-rosa2012.1.i586.rpm usbutils-007-1-rosa2012.1.i586.rpm ldetect-lst-0.1.318-2-rosa2012.1.noarch.rpm из /var/cache/urpmi/rpms
Установка не удалась:
        gdm нужен для (установлен)gnome-initial-setup-0.12-4.i586
        error while checking dependencies
 
Установка не удалась: gdm нужен для (установлен)gnome-initial-setup-0.12-4.i586
        error while checking dependencies
Хоть часть пакетов и могла быть установлена, произошли ошибки.
Некоторые запрошенные пакеты не могут быть установлены:
gdm-3.8.1.1-1-rosa2012.1.i586 (чтобы сохранить gdm-3.8.1.1-2-rosa2012.1.i586)
ldetect-0.12.6-4-rosa2012.1.i586 (из-за неудовлетворённости libldetect0.12-0.12.6-2-rosa2012.1.i586)
ldetect-lst-0.1.315-1-rosa2012.1.noarch (из-за конфликтов с ldetect-lst-0.1.318-2-rosa2012.1.noarch)
ldetect-lst-0.1.316-1-rosa2012.1.noarch (из-за конфликтов с ldetect-lst-0.1.318-2-rosa2012.1.noarch)
libldetect0.12-0.12.6-4-rosa2012.1.i586 (из-за неудовлетворённости pciids)
pciutils-3.2.0-3-rosa2012.1.i586 (из-за неудовлетворённости pciids)
[root@localhost maks]#
==================================================
Comment 4 Postnikov Dmitry 2013-09-12 01:54:28 MSD
Created attachment 1913 [details]
update-hw-x86-65-Gnome.txt

This log from urpmi --auto-update --debug
Comment 5 Vladimir Potapov 2013-09-12 12:55:57 MSD
(In reply to comment #4)
> Created attachment 1913 [details]
> update-hw-x86-65-Gnome.txt
> 
> This log from urpmi --auto-update --debug

See http://bugs.rosalinux.ru/show_bug.cgi?id=2668 !
Comment 6 Vladimir Potapov 2013-09-12 12:57:11 MSD
(In reply to comment #5)
> (In reply to comment #4)
> > Created attachment 1913 [details]
> > update-hw-x86-65-Gnome.txt
> > 
> > This log from urpmi --auto-update --debug
> 
> See http://bugs.rosalinux.ru/show_bug.cgi?id=2668 !
Sorry, videobugs :-)
Comment 7 Postnikov Dmitry 2013-09-12 12:58:55 MSD
(In reply to comment #5)
> (In reply to comment #4)
> > Created attachment 1913 [details]
> > update-hw-x86-65-Gnome.txt
> > 
> > This log from urpmi --auto-update --debug
> 
> See http://bugs.rosalinux.ru/show_bug.cgi?id=2668 !

It is this bug 2668. :)
Comment 8 Postnikov Dmitry 2013-09-12 13:00:03 MSD
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Created attachment 1913 [details]
> > > update-hw-x86-65-Gnome.txt
> > > 
> > > This log from urpmi --auto-update --debug
> > 
> > See http://bugs.rosalinux.ru/show_bug.cgi?id=2668 !
> Sorry, videobugs :-)

Where Video?
Comment 9 Aleksandr Kazantcev 2013-09-12 14:12:41 MSD
You really did not add properly pciutils container. See you log - you try install pcuituls-3.2.0-3, but here (http://abf-downloads.rosalinux.ru/rosa2012.1/container/1246852/i586/main/release/) pcutils-3.2.0-4.

Plese delete old pciutils container first before testing!
Comment 10 Postnikov Dmitry 2013-09-12 14:55:04 MSD
(In reply to comment #9)
> You really did not add properly pciutils container. See you log - you try
> install pcuituls-3.2.0-3, but here
> (http://abf-downloads.rosalinux.ru/rosa2012.1/container/1246852/i586/main/
> release/) pcutils-3.2.0-4.
> 
> Plese delete old pciutils container first before testing!

(In reply to comment #1)
> pciutils
> https://abf.rosalinux.ru/build_lists/1246852
> https://abf.rosalinux.ru/build_lists/1246853

I have these added 124853 (64bit).
Ok, I'll check tonight.
Comment 11 Postnikov Dmitry 2013-09-13 12:13:55 MSD
*****************************
Extended testing report
****************************
Tested in 6 computers, all work fine.
(KDE+GNome)
Comment 12 Vladimir Potapov 2013-09-16 05:30:41 MSD
pciutils-3.2.0-4-rosa2012.1
usbutils-007-1-rosa2012.1
ldetect-0.12.6-4-rosa2012.1
ldetect-lst-0.1.318-2-rosa2012.1
************************** Advisory ************************
Previously hwdata base provided by ldetect-lst package with other depricated data and stored in /usr/share/root. Now we use more usefull way (used in Suse, Fedora and Ubuntu for example) with store hardware data in /etc/share/hwdata dir and we now possible update pci id date with update-pciids.

Usbutils also been set to use this path and updated to 007 version. ldetect-lst now not provide pci, usb and out.ids. ldetect rebuild with new libs.
*************************************************************
QA Verified